# Project Hardware & IO Summary (from CAx Export)

## Network Configuration
| Parent Device | Interface/Node Name | Type | Address (IP/DP) |
|---|---|---|---|
| SAE196_c0.2.XML | PB1 | Profibus | 12 |
| SAE196_c0.2.XML | PB1 | Profibus | 20 |
| SAE196_c0.2.XML | PB1 | Profibus | 21 |
| SAE196_c0.2.XML | PB1 | Profibus | 22 |
| SAE196_c0.2.XML | PB1 | Profibus | 10 |
| SAE196_c0.2.XML | PB1 | Profibus | 8 |
| SAE196_c0.2.XML | PB1 | Profibus | 40 |
| SAE196_c0.2.XML | E1 | Ethernet | 192.168.1.1 |
| SAE196_c0.2.XML | E1 | Ethernet | 192.168.1.1 |
| SAE196_c0.2.XML | E1 | Ethernet | 10.1.33.11 |
| SAE196_c0.2.XML | E1 | Ethernet | 10.1.33.11 |
| SAE196_c0.2.XML | P1 | Profibus | 1 |
| Ungrouped devices | PB1 | Profibus | 12 |
| Ungrouped devices | PB1 | Profibus | 20 |
| Ungrouped devices | PB1 | Profibus | 21 |
| Ungrouped devices | PB1 | Profibus | 22 |
| Ungrouped devices | PB1 | Profibus | 10 |
| Ungrouped devices | PB1 | Profibus | 8 |
| Ungrouped devices | PB1 | Profibus | 40 |
| GSD device_10 | PB1 | Profibus | 12 |
| Telaio di montaggio_0 | PB1 | Profibus | 12 |
| Festo_283E1 | PB1 | Profibus | 12 |
| DP interface | PB1 | Profibus | 12 |
| GSD device_11 | PB1 | Profibus | 20 |
| Telaio di montaggio_0 | PB1 | Profibus | 20 |
| Water_Volumetric_251U1 | PB1 | Profibus | 20 |
| DP interface | PB1 | Profibus | 20 |
| GSD device_12 | PB1 | Profibus | 21 |
| Telaio di montaggio_0 | PB1 | Profibus | 21 |
| Syrup_Mass_252U1 | PB1 | Profibus | 21 |
| DP interface | PB1 | Profibus | 21 |
| GSD device_13 | PB1 | Profibus | 22 |
| Telaio di montaggio_0 | PB1 | Profibus | 22 |
| CO2_Mass_253U1 | PB1 | Profibus | 22 |
| DP interface | PB1 | Profibus | 22 |
| ET 200SP station_2 | PB1 | Profibus | 10 |
| Telaio di montaggio_0 | PB1 | Profibus | 10 |
| IM151_280A0 | PB1 | Profibus | 10 |
| DP interface | PB1 | Profibus | 10 |
| Dispositivo GSD_2 | PB1 | Profibus | 8 |
| Rack_0 | PB1 | Profibus | 8 |
| 045U1 | PB1 | Profibus | 8 |
| DP interface | PB1 | Profibus | 8 |
| GSD device_1 | PB1 | Profibus | 40 |
| Rack_0 | PB1 | Profibus | 40 |
| Anton Paar_120U1 | PB1 | Profibus | 40 |
| DP interface | PB1 | Profibus | 40 |
| S71500/ET200MP station_1 | E1 | Ethernet | 192.168.1.1 |
| S71500/ET200MP station_1 | E1 | Ethernet | 192.168.1.1 |
| S71500/ET200MP station_1 | E1 | Ethernet | 10.1.33.11 |
| S71500/ET200MP station_1 | E1 | Ethernet | 10.1.33.11 |
| S71500/ET200MP station_1 | P1 | Profibus | 1 |
| Telaio di montaggio_0 | E1 | Ethernet | 192.168.1.1 |
| Telaio di montaggio_0 | E1 | Ethernet | 192.168.1.1 |
| Telaio di montaggio_0 | E1 | Ethernet | 10.1.33.11 |
| Telaio di montaggio_0 | E1 | Ethernet | 10.1.33.11 |
| Telaio di montaggio_0 | P1 | Profibus | 1 |
| PLC | E1 | Ethernet | 192.168.1.1 |
| PLC | E1 | Ethernet | 192.168.1.1 |
| PLC | E1 | Ethernet | 10.1.33.11 |
| PLC | E1 | Ethernet | 10.1.33.11 |
| PLC | P1 | Profibus | 1 |
| Interfaccia PROFINET_1 | E1 | Ethernet | 192.168.1.1 |
| Interfaccia PROFINET_1 | E1 | Ethernet | 192.168.1.1 |
| Interfaccia PROFINET_2 | E1 | Ethernet | 10.1.33.11 |
| Interfaccia PROFINET_2 | E1 | Ethernet | 10.1.33.11 |
| Interfaccia DP_1 | P1 | Profibus | 1 |

## I/O Modules & Addresses
| Module Name | Type Name | Order Number | Slot/Pos | Logical Addresses |
|---|---|---|---|---|
| SAE196_c0.2.XML | CPU 1516F-3 PN/DP | 6ES7 516-3FP03-0AB0 | N/A | Input Start:501 Len:8 (Area:1)<br>Output Start:16 Len:8 (Area:1)<br>Output Start:17 Len:8 (Area:1)<br>Output Start:18 Len:8 (Area:1)<br>Output Start:19 Len:8 (Area:1)<br>Output Start:20 Len:8 (Area:1)<br>Input Start:3080 Len:40 (Area:1)<br>Input Start:3100 Len:40 (Area:1)<br>Output Start:3100 Len:8 (Area:2)<br>Input Start:2030 Len:40 (Area:1)<br>Input Start:2045 Len:40 (Area:1)<br>Input Start:2050 Len:40 (Area:1)<br>Input Start:2055 Len:40 (Area:1)<br>Input Start:2070 Len:40 (Area:1)<br>Output Start:2070 Len:8 (Area:2)<br>Input Start:3200 Len:40 (Area:1)<br>Input Start:3215 Len:40 (Area:1)<br>Input Start:3225 Len:40 (Area:1)<br>Input Start:3240 Len:40 (Area:1)<br>Output Start:3240 Len:8 (Area:2)<br>Input Start:0 Len:8 (Area:1)<br>Input Start:1 Len:8 (Area:1)<br>Input Start:2 Len:8 (Area:1)<br>Input Start:3 Len:8 (Area:1)<br>Input Start:4 Len:8 (Area:1)<br>Input Start:5 Len:8 (Area:1)<br>Input Start:6 Len:8 (Area:1)<br>Input Start:7 Len:8 (Area:1)<br>Output Start:0 Len:8 (Area:1)<br>Output Start:1 Len:8 (Area:1)<br>Output Start:2 Len:8 (Area:1)<br>Output Start:3 Len:8 (Area:1)<br>Output Start:4 Len:8 (Area:1)<br>Output Start:5 Len:8 (Area:1)<br>Output Start:6 Len:8 (Area:1)<br>Output Start:7 Len:8 (Area:1)<br>Input Start:100 Len:32 (Area:1)<br>Input Start:104 Len:32 (Area:1)<br>Input Start:108 Len:32 (Area:1)<br>Input Start:112 Len:32 (Area:1)<br>Input Start:116 Len:32 (Area:1)<br>Output Start:100 Len:32 (Area:1)<br>Output Start:104 Len:32 (Area:1)<br>Output Start:108 Len:32 (Area:1)<br>Output Start:112 Len:32 (Area:1)<br>Output Start:116 Len:32 (Area:1)<br>Output Start:120 Len:32 (Area:1)<br>Input Start:1640 Len:160 (Area:1)<br>Output Start:1640 Len:160 (Area:2)<br>Input Start:15000 Len:256 (Area:1)<br>Input Start:15032 Len:256 (Area:1)<br>Input Start:15064 Len:256 (Area:1)<br>Input Start:15096 Len:256 (Area:1)<br>Output Start:15000 Len:256 (Area:1)<br>Output Start:15032 Len:256 (Area:1)<br>Output Start:15064 Len:256 (Area:1)<br>Output Start:15096 Len:256 (Area:1) |
| Ungrouped devices | Server module | 6ES7 193-6PA00-0AA0 | N/A | Input Start:501 Len:8 (Area:1)<br>Output Start:16 Len:8 (Area:1)<br>Output Start:17 Len:8 (Area:1)<br>Output Start:18 Len:8 (Area:1)<br>Output Start:19 Len:8 (Area:1)<br>Output Start:20 Len:8 (Area:1)<br>Input Start:3080 Len:40 (Area:1)<br>Input Start:3100 Len:40 (Area:1)<br>Output Start:3100 Len:8 (Area:2)<br>Input Start:2030 Len:40 (Area:1)<br>Input Start:2045 Len:40 (Area:1)<br>Input Start:2050 Len:40 (Area:1)<br>Input Start:2055 Len:40 (Area:1)<br>Input Start:2070 Len:40 (Area:1)<br>Output Start:2070 Len:8 (Area:2)<br>Input Start:3200 Len:40 (Area:1)<br>Input Start:3215 Len:40 (Area:1)<br>Input Start:3225 Len:40 (Area:1)<br>Input Start:3240 Len:40 (Area:1)<br>Output Start:3240 Len:8 (Area:2)<br>Input Start:0 Len:8 (Area:1)<br>Input Start:1 Len:8 (Area:1)<br>Input Start:2 Len:8 (Area:1)<br>Input Start:3 Len:8 (Area:1)<br>Input Start:4 Len:8 (Area:1)<br>Input Start:5 Len:8 (Area:1)<br>Input Start:6 Len:8 (Area:1)<br>Input Start:7 Len:8 (Area:1)<br>Output Start:0 Len:8 (Area:1)<br>Output Start:1 Len:8 (Area:1)<br>Output Start:2 Len:8 (Area:1)<br>Output Start:3 Len:8 (Area:1)<br>Output Start:4 Len:8 (Area:1)<br>Output Start:5 Len:8 (Area:1)<br>Output Start:6 Len:8 (Area:1)<br>Output Start:7 Len:8 (Area:1)<br>Input Start:100 Len:32 (Area:1)<br>Input Start:104 Len:32 (Area:1)<br>Input Start:108 Len:32 (Area:1)<br>Input Start:112 Len:32 (Area:1)<br>Input Start:116 Len:32 (Area:1)<br>Output Start:100 Len:32 (Area:1)<br>Output Start:104 Len:32 (Area:1)<br>Output Start:108 Len:32 (Area:1)<br>Output Start:112 Len:32 (Area:1)<br>Output Start:116 Len:32 (Area:1)<br>Output Start:120 Len:32 (Area:1)<br>Input Start:1640 Len:160 (Area:1)<br>Output Start:1640 Len:160 (Area:2)<br>Input Start:15000 Len:256 (Area:1)<br>Input Start:15032 Len:256 (Area:1)<br>Input Start:15064 Len:256 (Area:1)<br>Input Start:15096 Len:256 (Area:1)<br>Output Start:15000 Len:256 (Area:1)<br>Output Start:15032 Len:256 (Area:1)<br>Output Start:15064 Len:256 (Area:1)<br>Output Start:15096 Len:256 (Area:1) |
| CPX-FB13: DP-Slave [Status]_1 | N/A | N/A | N/A | Input Start:501 Len:8 (Area:1) |
| MPA1S: VMPA1-FB-EMS-8 [8DO]_1 | N/A | N/A | N/A | Output Start:16 Len:8 (Area:1) |
| MPA1S: VMPA1-FB-EMS-8 [8DO]_2 | N/A | N/A | N/A | Output Start:17 Len:8 (Area:1) |
| MPA1S: VMPA1-FB-EMS-8 [8DO]_3 | N/A | N/A | N/A | Output Start:18 Len:8 (Area:1) |
| MPA1S: VMPA1-FB-EMS-8 [8DO]_4 | N/A | N/A | N/A | Output Start:19 Len:8 (Area:1) |
| MPA1S: VMPA1-FB-EMS-8 [8DO]_5 | N/A | N/A | N/A | Output Start:20 Len:8 (Area:1) |
| Volume Flow | N/A | N/A | N/A | Input Start:3080 Len:40 (Area:1) |
| Totalizer Value / Control | N/A | N/A | N/A | Input Start:3100 Len:40 (Area:1)<br>Output Start:3100 Len:8 (Area:2) |
| Mass Flow | N/A | N/A | N/A | Input Start:2030 Len:40 (Area:1) |
| Density | N/A | N/A | N/A | Input Start:2045 Len:40 (Area:1) |
| Concentration | N/A | N/A | N/A | Input Start:2050 Len:40 (Area:1) |
| Temperature | N/A | N/A | N/A | Input Start:2055 Len:40 (Area:1) |
| Totalizer Value / Control | N/A | N/A | N/A | Input Start:2070 Len:40 (Area:1)<br>Output Start:2070 Len:8 (Area:2) |
| Mass Flow | N/A | N/A | N/A | Input Start:3200 Len:40 (Area:1) |
| Density | N/A | N/A | N/A | Input Start:3215 Len:40 (Area:1) |
| Temperature | N/A | N/A | N/A | Input Start:3225 Len:40 (Area:1) |
| Totalizer Value / Control | N/A | N/A | N/A | Input Start:3240 Len:40 (Area:1)<br>Output Start:3240 Len:8 (Area:2) |
| 300A0 | N/A | N/A | N/A | Input Start:0 Len:8 (Area:1) |
| 301A0 | N/A | N/A | N/A | Input Start:1 Len:8 (Area:1) |
| 302A0 | N/A | N/A | N/A | Input Start:2 Len:8 (Area:1) |
| 303A0 | N/A | N/A | N/A | Input Start:3 Len:8 (Area:1) |
| 304A0 | N/A | N/A | N/A | Input Start:4 Len:8 (Area:1) |
| 305A0 | N/A | N/A | N/A | Input Start:5 Len:8 (Area:1) |
| 306A0 | N/A | N/A | N/A | Input Start:6 Len:8 (Area:1) |
| 307A0 | N/A | N/A | N/A | Input Start:7 Len:8 (Area:1) |
| 320A0 | N/A | N/A | N/A | Output Start:0 Len:8 (Area:1) |
| 321A0 | N/A | N/A | N/A | Output Start:1 Len:8 (Area:1) |
| 322A0 | N/A | N/A | N/A | Output Start:2 Len:8 (Area:1) |
| 323A0 | N/A | N/A | N/A | Output Start:3 Len:8 (Area:1) |
| 324A0 | N/A | N/A | N/A | Output Start:4 Len:8 (Area:1) |
| 325A0 | N/A | N/A | N/A | Output Start:5 Len:8 (Area:1) |
| 326A0 | N/A | N/A | N/A | Output Start:6 Len:8 (Area:1) |
| 327A0 | N/A | N/A | N/A | Output Start:7 Len:8 (Area:1) |
| 340A1 | N/A | N/A | N/A | Input Start:100 Len:32 (Area:1) |
| 341A1 | N/A | N/A | N/A | Input Start:104 Len:32 (Area:1) |
| 342A1 | N/A | N/A | N/A | Input Start:108 Len:32 (Area:1) |
| 343A1 | N/A | N/A | N/A | Input Start:112 Len:32 (Area:1) |
| 344A1 | N/A | N/A | N/A | Input Start:116 Len:32 (Area:1) |
| 350A1 | N/A | N/A | N/A | Output Start:100 Len:32 (Area:1) |
| 351A1 | N/A | N/A | N/A | Output Start:104 Len:32 (Area:1) |
| 352A1 | N/A | N/A | N/A | Output Start:108 Len:32 (Area:1) |
| 353A1 | N/A | N/A | N/A | Output Start:112 Len:32 (Area:1) |
| 354A1 | N/A | N/A | N/A | Output Start:116 Len:32 (Area:1) |
| 355A1 | N/A | N/A | N/A | Output Start:120 Len:32 (Area:1) |
| PPO Type 8 Module consistent PCD_1 | N/A | N/A | N/A | Input Start:1640 Len:160 (Area:1)<br>Output Start:1640 Len:160 (Area:2) |
| IN128 mPDS5>PLC_4_1 | N/A | N/A | N/A | Input Start:15000 Len:256 (Area:1) |
| IN128 mPDS5>PLC_4_2 | N/A | N/A | N/A | Input Start:15032 Len:256 (Area:1) |
| IN128 mPDS5>PLC_4_3 | N/A | N/A | N/A | Input Start:15064 Len:256 (Area:1) |
| IN128 mPDS5>PLC_4_4 | N/A | N/A | N/A | Input Start:15096 Len:256 (Area:1) |
| OUT128 PLC>mPDS5_4_1 | N/A | N/A | N/A | Output Start:15000 Len:256 (Area:1) |
| OUT128 PLC>mPDS5_4_2 | N/A | N/A | N/A | Output Start:15032 Len:256 (Area:1) |
| OUT128 PLC>mPDS5_4_3 | N/A | N/A | N/A | Output Start:15064 Len:256 (Area:1) |
| OUT128 PLC>mPDS5_4_4 | N/A | N/A | N/A | Output Start:15096 Len:256 (Area:1) |

## Connections / IO Tag Links
| Link Name | Source (Device::Channel/Interface) | Target (Device::Tag/Interface) |
|---|---|---|
| Link To Subnet_1 | `E1::LogicalEndPoint_Node` | `ETHERNET_1::LogicalEndPoint_Subnet` |
| Link To Subnet_2 | `P1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_3 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_4 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_5 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_6 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_7 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_8 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To Subnet_9 | `PB1::LogicalEndPoint_Node` | `PROFIBUS_1::LogicalEndPoint_Subnet` |
| Link To IoSystem_1 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_2 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_3 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_4 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_5 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_6 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To IoSystem_7 | `DP interface::LogicalEndPoint_Interface` | `DP-Mastersystem::LogicalEndPoint_IoSystem` |
| Link To Tag_1 | `300A0::Channel_DI_0` | `InputsMaster::DI_AuxVoltage_On` |
| Link To Tag_2 | `300A0::Channel_DI_1` | `InputsMaster::DI_PB_HornReset` |
| Link To Tag_3 | `300A0::Channel_DI_2` | `InputsMaster::DI_AlarmReset` |
| Link To Tag_4 | `300A0::Channel_DI_3` | `InputsMaster::DI_PB_Machine_Stop` |
| Link To Tag_5 | `300A0::Channel_DI_4` | `InputsMaster::DI_PB_Machine_Start` |
| Link To Tag_6 | `300A0::Channel_DI_5` | `Inputs::DI_Emergency_Pilz_On` |
| Link To Tag_7 | `300A0::Channel_DI_6` | `Inputs::DI_LSN301L` |
| Link To Tag_8 | `300A0::Channel_DI_7` | `InputsMaster::DI_Min_Syrup_Level` |
| Link To Tag_9 | `301A0::Channel_DI_0` | `Inputs::DI_LSM302L` |
| Link To Tag_10 | `301A0::Channel_DI_5` | `Inputs::DI_RMM301_Closed` |
| Link To Tag_11 | `301A0::Channel_DI_6` | `Inputs::DI_RMP302_Closed` |
| Link To Tag_12 | `301A0::Channel_DI_7` | `Inputs::DI_RMM303_Closed` |
| Link To Tag_13 | `302A0::Channel_DI_0` | `InputsMaster::DI_PPN301_Ovrld` |
| Link To Tag_14 | `302A0::Channel_DI_1` | `InputsMaster::DI_PPN301_SoftStOvr` |
| Link To Tag_15 | `302A0::Channel_DI_2` | `Inputs::DI_PPP302_Ovrld` |
| Link To Tag_16 | `302A0::Channel_DI_3` | `Inputs::DI_PPP302_Contactor` |
| Link To Tag_17 | `302A0::Channel_DI_4` | `Inputs::DI_PPM303_Ovrld` |
| Link To Tag_18 | `302A0::Channel_DI_5` | `InputsMaster::DI_PPM303_Contactor` |
| Link To Tag_19 | `303A0::Channel_DI_5` | `Inputs::DI_UPSAlarm` |
| Link To Tag_20 | `303A0::Channel_DI_6` | `Inputs::DI_UPSsupply` |
| Link To Tag_21 | `303A0::Channel_DI_7` | `Inputs::DI_UPSBatteryReady` |
| Link To Tag_22 | `304A0::Channel_DI_3` | `Inputs::DI_Emergency_Pressed` |
| Link To Tag_23 | `304A0::Channel_DI_4` | `InputsMaster::DI_Log_Sidel` |
| Link To Tag_24 | `305A0::Channel_DI_0` | `Inputs::DI_MaxTempAlarm` |
| Link To Tag_25 | `305A0::Channel_DI_0` | `Inputs::DI_SyrRoom_SyrPump_Running` |
| Link To Tag_26 | `307A0::Channel_DI_1` | `Inputs::DI_Air_InletPress_OK` |
| Link To Tag_27 | `307A0::Channel_DI_2` | `InputsMaster::DI_HVP301_Sensor` |
| Link To Tag_28 | `307A0::Channel_DI_3` | `InputsMaster::DI_FSS301` |
| Link To Tag_29 | `320A0::Channel_DO_0` | `Outputs::DO_HMIPowerSupply` |
| Link To Tag_30 | `321A0::Channel_DO_0` | `OutputsMaster::DO_SyRm_SyrupReques` |
| Link To Tag_31 | `321A0::Channel_DO_1` | `OutputsMaster::DO_SyrupRoomWaterReq` |
| Link To Tag_32 | `325A0::Channel_DO_0` | `Memories::AB5` |
| Link To Tag_33 | `325A0::Channel_DO_0` | `Memories::Tag_1` |
| Link To Tag_34 | `325A0::Channel_DO_1` | `Memories::AB5` |
| ... | ... | ... |
